> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a board



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json put /boards/{boardPublicId}
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /boards/{boardPublicId}:
    put:
      tags:
        - Boards
      summary: Update a board
      operationId: updateBoard
      parameters:
        - name: boardPublicId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBoardDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BoardUpdateResponseDto_Output'
      security:
        - bearer: []
components:
  schemas:
    UpdateBoardDto:
      type: object
      properties:
        name:
          description: New board name.
          type: string
          minLength: 1
        slug:
          description: New URL slug of letters, numbers and hyphens.
          type: string
          minLength: 1
          maxLength: 60
          pattern: ^(?![-]+$)[a-zA-Z0-9-]+$
        visibility:
          description: >-
            'public' boards can be viewed by anyone with the link, 'private'
            only by members.
          type: string
          enum:
            - public
            - private
        favorite:
          description: Whether the board is in the current user's favourites.
          type: boolean
        isArchived:
          description: Archive (true) or restore (false) the board.
          type: boolean
    BoardUpdateResponseDto_Output:
      type: object
      properties:
        success:
          type: boolean
        publicId:
          type: string
        name:
          type: string
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.